Package org.bukkit.potion

# Class Potion

java.lang.Object
org.bukkit.potion.Potion

@Deprecated public class Potion extends Object
Deprecated.
Potion Adapter for pre-1.9 data values see @PotionMeta for 1.9+

## Constructor Summary

Constructors
Constructor
Description
`Potion(@NotNull PotionType type)`
Deprecated.
Construct a new potion of the given type.
`Potion(@NotNull PotionType type, int level)`
Deprecated.
Create a new potion of the given type and level.
`Potion(@NotNull PotionType type, int level, boolean splash)`
Deprecated.
In favour of using `Potion(PotionType)` with `splash()`.
`Potion(@NotNull PotionType type, int level, boolean splash, boolean extended)`
Deprecated.
In favour of using `Potion(PotionType)` with `extend()` and possibly `splash()`.

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(@NotNull LivingEntity to)`
Deprecated.
Applies the effects that would be applied by this potion to the given `LivingEntity`.
`void`
`apply(@NotNull ItemStack to)`
Deprecated.
Applies the effects of this potion to the given `ItemStack`.
`boolean`
`equals(Object obj)`
Deprecated.
`@NotNull Potion`
`extend()`
Deprecated.
Chain this to the constructor to extend the potion's duration.
`static @NotNull Potion`
`fromDamage(int damage)`
Deprecated.
Gets the potion from its damage value.
`static @NotNull Potion`
`fromItemStack(@NotNull ItemStack item)`
Deprecated.
`static @NotNull PotionBrewer`
`getBrewer()`
Deprecated.
Returns an instance of `PotionBrewer`.
`@NotNull Collection<PotionEffect>`
`getEffects()`
Deprecated.
Returns a collection of `PotionEffect`s that this `Potion` would confer upon a `LivingEntity`.
`int`
`getLevel()`
Deprecated.
Returns the level of this potion.
`int`
`getNameId()`
Deprecated.
Non-functional
`@NotNull PotionType`
`getType()`
Deprecated.
Returns the `PotionType` of this potion.
`boolean`
`hasExtendedDuration()`
Deprecated.
Returns whether this potion has an extended duration.
`int`
`hashCode()`
Deprecated.
`boolean`
`isSplash()`
Deprecated.
Returns whether this potion is a splash potion.
`void`
`setHasExtendedDuration(boolean isExtended)`
Deprecated.
Set whether this potion has extended duration.
`void`
`setLevel(int level)`
Deprecated.
Sets the level of this potion.
`static void`
`setPotionBrewer(@NotNull PotionBrewer other)`
Deprecated.
Sets the current instance of `PotionBrewer`.
`void`
`setSplash(boolean isSplash)`
Deprecated.
Sets whether this potion is a splash potion.
`void`
`setType(@NotNull PotionType type)`
Deprecated.
Sets the `PotionType` of this potion.
`@NotNull Potion`
`splash()`
Deprecated.
Chain this to the constructor to make the potion a splash potion.
`short`
`toDamageValue()`
Deprecated.
Non-functional
`@NotNull ItemStack`
`toItemStack(int amount)`
Deprecated.
Converts this potion to an `ItemStack` with the specified amount and a correct damage value.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Potion

public Potion(@NotNull @NotNull PotionType type)
Deprecated.
Construct a new potion of the given type. Unless the type is `PotionType.WATER`, it will be level one, without extended duration. Don't use this constructor to create a no-effect potion other than water bottle.

Parameters:
  `type` - The potion type

### Potion

public Potion(@NotNull @NotNull PotionType type, int level)
Deprecated.
Create a new potion of the given type and level.

Parameters:
  `type` - The type of potion.
  `level` - The potion's level.

### Potion

@Deprecated public Potion(@NotNull @NotNull PotionType type, int level, boolean splash)
Deprecated.
In favour of using `Potion(PotionType)` with `splash()`.
Create a new potion of the given type and level.

Parameters:
  `type` - The type of potion.
  `level` - The potion's level.
  `splash` - Whether it is a splash potion.

### Potion

@Deprecated public Potion(@NotNull @NotNull PotionType type, int level, boolean splash, boolean extended)
Deprecated.
In favour of using `Potion(PotionType)` with `extend()` and possibly `splash()`.
Create a new potion of the given type and level.

Parameters:
  `type` - The type of potion.
  `level` - The potion's level.
  `splash` - Whether it is a splash potion.
  `extended` - Whether it has an extended duration.

## Method Details

### splash

@NotNull public @NotNull Potion splash()
Deprecated.
Chain this to the constructor to make the potion a splash potion.

Returns:
  The potion.

### extend

@NotNull public @NotNull Potion extend()
Deprecated.
Chain this to the constructor to extend the potion's duration.

Returns:
  The potion.

### apply

public void apply(@NotNull @NotNull ItemStack to)
Deprecated.
Applies the effects of this potion to the given `ItemStack`. The ItemStack must be a potion.

Parameters:
  `to` - The itemstack to apply to

### apply

public void apply(@NotNull @NotNull LivingEntity to)
Deprecated.
Applies the effects that would be applied by this potion to the given `LivingEntity`.

Parameters:
  `to` - The entity to apply the effects to
See Also:
  - `LivingEntity.addPotionEffects(Collection)`

### equals

public boolean equals(Object obj)
Deprecated.

Overrides:
  `equals` in class `Object`

### getEffects

@NotNull public @NotNull Collection<PotionEffect> getEffects()
Deprecated.
Returns a collection of `PotionEffect`s that this `Potion` would confer upon a `LivingEntity`.

Returns:
  The effects that this potion applies
See Also:
  - `PotionBrewer.getEffectsFromDamage(int)`
  - `toDamageValue()`

### getLevel

public int getLevel()
Deprecated.
Returns the level of this potion.

Returns:
  The level of this potion

### getType

@NotNull public @NotNull PotionType getType()
Deprecated.
Returns the `PotionType` of this potion.

Returns:
  The type of this potion

### hasExtendedDuration

public boolean hasExtendedDuration()
Deprecated.
Returns whether this potion has an extended duration.

Returns:
  Whether this potion has extended duration

### hashCode

public int hashCode()
Deprecated.

Overrides:
  `hashCode` in class `Object`

### isSplash

public boolean isSplash()
Deprecated.
Returns whether this potion is a splash potion.

Returns:
  Whether this is a splash potion

### setHasExtendedDuration

public void setHasExtendedDuration(boolean isExtended)
Deprecated.
Set whether this potion has extended duration. This will cause the potion to have roughly 8/3 more duration than a regular potion.

Parameters:
  `isExtended` - Whether the potion should have extended duration

### setSplash

public void setSplash(boolean isSplash)
Deprecated.
Sets whether this potion is a splash potion. Splash potions can be thrown for a radius effect.

Parameters:
  `isSplash` - Whether this is a splash potion

### setType

public void setType(@NotNull @NotNull PotionType type)
Deprecated.
Sets the `PotionType` of this potion.

Parameters:
  `type` - The new type of this potion

### setLevel

public void setLevel(int level)
Deprecated.
Sets the level of this potion.

Parameters:
  `level` - The new level of this potion

### toDamageValue

@Deprecated public short toDamageValue()
Deprecated.
Non-functional
Converts this potion to a valid potion damage short, usable for potion item stacks.

Returns:
  The damage value of this potion

### toItemStack

@NotNull public @NotNull ItemStack toItemStack(int amount)
Deprecated.
Converts this potion to an `ItemStack` with the specified amount and a correct damage value.

Parameters:
  `amount` - The amount of the ItemStack
Returns:
  The created ItemStack

### fromDamage

@NotNull public static @NotNull Potion fromDamage(int damage)
Deprecated.
Gets the potion from its damage value.

Parameters:
  `damage` - the damage value
Returns:
  the produced potion

### fromItemStack

@NotNull public static @NotNull Potion fromItemStack(@NotNull @NotNull ItemStack item)
Deprecated.

### getBrewer

@NotNull public static @NotNull PotionBrewer getBrewer()
Deprecated.
Returns an instance of `PotionBrewer`.

Returns:
  An instance of PotionBrewer

### setPotionBrewer

public static void setPotionBrewer(@NotNull @NotNull PotionBrewer other)
Deprecated.
Sets the current instance of `PotionBrewer`. Generally not to be used from within a plugin.

Parameters:
  `other` - The new PotionBrewer

### getNameId

@Deprecated public int getNameId()
Deprecated.
Non-functional
Gets the potion from its name id.

Returns:
  the name id